Browse Source

add startup script

Waldemar Brodkorb 8 years ago
parent
commit
f5785293d0
2 changed files with 32 additions and 0 deletions
  1. 29 0
      package/ympd/files/ympd.init
  2. 3 0
      package/ympd/files/ympd.postinst

+ 29 - 0
package/ympd/files/ympd.init

@@ -0,0 +1,29 @@
+#!/bin/sh
+#PKG ympd 
+#INIT 90
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+	test x"${ympd:-NO}" = x"NO" && exit 0
+	test x"$ympd" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+	exec sh $0 start
+	;;
+start)
+	ympd -w 80 &
+	;;
+stop)
+	kill $(pgrep -f /usr/bin/ympd)
+	;;
+restart)
+	sh $0 stop
+	sh $0 start
+	;;
+*)
+	echo "Usage: $0 {start | stop | restart}"
+	exit 1
+	;;
+esac
+exit $?

+ 3 - 0
package/ympd/files/ympd.postinst

@@ -0,0 +1,3 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf ympd NO